Subject: Bug#191015: ssh: Deprecated option "fallbacktorsh"

From: Sam Vilain <[email-masked]>
Date: Mon, 28 Apr 2003 13:07:10 +1200

Package: ssh
Version: 1:3.4p1-1
Severity: important

Why was this important integration feature removed (FallBackToRSH)?

It claims to be deprecated, yet doesn't even work.  Now I have to
explicity use "rsh" everywhere that I was using "ssh" for convenience.
This isn't deprecating the option, this is deprecating the
functionality.  And what else is SSH but an embodyment of the
deprecation of RSH?

This is disappointing, the OpenSSH team seem to take a very
narrow-minded view to the use of their code.  Removing the "none"
cipher, arbitrarily setting over-paranoid default behaviour, wierd
authentication errors with protocol version 2 that "-v" just won't
shed any light at all on, and now this.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux vilainsa 2.4.18-bf2.4 #1 Son Apr 14 09:53:28 CEST 2002 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages ssh depends on:
ii  adduser                 3.47             Add and remove users and groups
ii  debconf                 1.2.23woody1     Debian configuration management sy
ii  libc6                   2.2.5-11.5       GNU C Library: Shared libraries an
ii  libpam-modules          0.72-35          Pluggable Authentication Modules f
ii  libpam0g                0.72-35          Pluggable Authentication Modules l
ii  libssl0.9.6             0.9.6c-2.woody.3 SSL shared libraries
ii  libwrap0                7.6-9            Wietse Venema's TCP wrappers libra
ii  zlib1g                  1:1.1.4-1        compression library - runtime